-- https://wiki.hypr.land/Configuring/Basics/Autostart/
hl.on("hyprland.start", function()
    -- monitorhandler (was exec-once in monitors.conf)
    hl.exec_cmd("~/Dotfiles/desktopenvs/hyprlua/scripts/monitorhandler.sh")

    hl.exec_cmd("export QT_QPA_PLATFORMTHEME='' && vicinae server")
    hl.exec_cmd("bash ~/Dotfiles/desktopenvs/hyprlua/scripts/bluetooth-applet.sh")
    hl.exec_cmd("bash ~/Dotfiles/desktopenvs/hyprlua/scripts/ulwatchdog.sh")
    hl.exec_cmd("bash ~/Dotfiles/desktopenvs/hyprlua/scripts/ewwstart.sh")
    hl.exec_cmd("udiskie -t -m nested -n")
    hl.exec_cmd("~/.config/scripts/unified-rotate.sh cw && sleep 0.3 && ~/.config/scripts/unified-rotate.sh ccw")
    hl.exec_cmd("systemctl --user start hyprpolkitagent")
    hl.exec_cmd("hyprsunset")
    hl.exec_cmd("nm-applet")
    hl.exec_cmd("dunst")
    hl.exec_cmd("[workspace special:magic silent] kitty")
    hl.exec_cmd("hyprctl setcursor Nordzy-cursors-lefthand 50")
    hl.exec_cmd("hyprpaper")
    hl.exec_cmd("GTK_THEME=cyberqueer; QT_QPA_PLATFORMTHEME=gtk3; nwg-dock-hyprland -mb 15 -r -p right -s style.css")
    hl.exec_cmd("blueman-applet")
    hl.exec_cmd("blueman-tray")
    hl.exec_cmd("hypridle")
end)
